# Function DeepProvider

- DeepProvider(__namedParameters): Element

- #### Parameters

  - __namedParameters: {
    apolloClient?: IApolloClient<any>;
    children?: any;
    minilinks?: MinilinkCollection<MinilinksGeneratorOptions, Link<Id>>;
    namespace?: string;
    }

    - ##### `Optional` apolloClient?: IApolloClient<any>

    - ##### `Optional` children?: any

    - ##### `Optional` minilinks?: MinilinkCollection<MinilinksGeneratorOptions, Link<Id>>

    - ##### `Optional` namespace?: string

  #### Returns Element

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:2513